---
title: "Get Group Information"
slug: "get-group-information"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Group Information

Get/api/v1/groups.info

Retrieves the information about a private channel you belong to.

### Changelog

| Version | Description |
| --- | --- |
| 0.48.0 | Added |

Header parametersX-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ
X-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f

Query parametersroomIdstring

The room ID. It is required if the `roomName` is not provided.

Exampledlpfuijw7ej
roomNamestring

The room name. It is required if the `roomId` is not provided.

Examplegeneral

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='767727b8-2781-41b0-ba4e-b9ce9e4d9f8f'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='b9e2a802-74a6-4feb-b600-324397156d42'>Success</option>
</select>Success

```json
{
  "group": {
    "_id": "ByehQjC44FwMeiLbX",
    "name": "testing",
    "fname": "testing",
    "t": "p",
    "msgs": 0,
    "usersCount": 2,
    "u": {
      "_id": "HKKPmF8rZh45GMHWH",
      "username": "marc.anp"
    },
    "customFields": {},
    "broadcast": false,
    "encrypted": false,
    "ts": "2020-05-21T13:16:24.749Z",
    "ro": false,
    "default": false,
    "sysMes": true,
    "_updatedAt": "2020-05-21T13:16:24.772Z"
  },
  "success": true
}
```

Expand Allobject  groupobject  _idstring    
namestring    
fnamestring    
tstring    
msgsinteger    
usersCountinteger    
uobject  _idstring    
usernamestring    

customFieldsobject  
broadcastboolean    
encryptedboolean    
tsstring    
roboolean    
defaultboolean    
sysMesboolean    
_updatedAtstring    

successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='a82de0ff-3d0f-4037-bb18-f0c227f1045e'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='1e39b537-f99b-487e-9727-2da2f65b2943'>Example 1</option>
</select>Example 1

```json
{
  "success": false,
  "error": "The parameter \"roomId\" or \"roomName\" is required [error-room-param-not-provided]",
  "errorType": "error-room-param-not-provided"
}
```

object  successboolean    
errorstring    
errorTypestring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='4265bc7b-9125-48f0-a93d-ac1ba050d202'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='b3b7793d-b94c-4459-ae32-d6d9c78a1d4f'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
